Bug 62788 - zsh doesn't always process /etc/profile.d/*.sh
zsh doesn't always process /etc/profile.d/*.sh
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: zsh (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Aaron Brown
:
Depends On:
Blocks: 65509
  Show dependency treegraph
 
Reported: 2002-04-05 12:02 EST by Nalin Dahyabhai
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-10 08:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2002-04-05 12:02:01 EST
Description of Problem:
While bash processes scriplets in /etc/profile.d in every shell, zsh only does
so when a login shell is started (via /etc/profile).  It should also do so in
/etc/zshenv.

Version-Release number of selected component (if applicable):
zsh-4.0.4-4

How reproducible:
Always.

Steps to reproduce:
1. Create a scriptlet in /etc/profile.d which defines a shell function.
2. Log in using zsh and use "functions" to check that it's defined.
3. Start a subshell and use "functions" to check that it isn't defined.

Actual Results:
The shell function is gone.

Expected Results:
The shell function is should be there.
Comment 1 Trond Eivind Glomsrxd 2002-04-05 12:51:41 EST
zsh-4.0.4-5 now sources /etc/profile from /etc/zshenv for bash consistency.
Comment 2 Jens Petersen 2002-11-24 22:13:57 EST
Any comments on bug 65509?

Note You need to log in before you can comment on or make changes to this bug.